
Redmine - Defect #19693

Context menu is unaware of the field permissions

2015-04-23 07:42 - Anonymous

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 3.0.1

Description

User can see the field via context menu even if that field is not visible for that user.

Steps to reproduce: Create a custom filed with visibility set for Manager only. Log in as member and from the issue list, right click on

the issue to see the hidden field.

History

#1 - 2015-04-23 08:30 - Toshi MARUYAMA

- File admin.png added

- File member.png added

- File bool.png added

- Status changed from New to Needs feedback

I cannot reproduce on trunk r14192.

 bool.png  admin.png  member.png 

#2 - 2015-04-23 13:17 - Anonymous

- File CustomField Rating.png added

- File non_member_view.png added

Toshi MARUYAMA wrote:

I cannot reproduce on trunk r14192.

 bool.png  admin.png  member.png 

 I've tried in a public project and restricted the access to some of the members

 

I'm seeing this field as non member too
But non member is not able to see these fields in the issues view

I also had the same issue with redmine 3.0.1

But the one I was able to show is with 2.5.1.stable

Environment:

Redmine version                2.5.1.stable

Ruby version                   1.9.3-p231 (2012-05-25) [i386-mingw32]

Rails version                  3.2.17

Environment                    production

Database adapter               Mysql2

#3 - 2015-04-23 13:20 - Anonymous

- File CustomFieldRating.png added

#4 - 2015-04-23 13:33 - Anonymous

- File Admin_issue_view.png added

- File non_member_issue_view.png added
Admin can see the two fields in the issue view

 

Non member is not able to see them there (this is correct) But he is able to see it in the context menu as in the above image

#5 - 2015-04-23 14:09 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Cant reproduce

Anonymous wrote:

Environment:

Redmine version                2.5.1.stable

Ruby version                   1.9.3-p231 (2012-05-25) [i386-mingw32]

 Too old.

I tried list type custom filed on trunk, but I cannot reproduce.

Reporter deleted his account, so we cannot continue to discuss.

#6 - 2015-04-24 06:20 - alex dl

It can reproduced if we give add/edit issues permission to non member in a public project

#7 - 2015-04-24 06:40 - Toshi MARUYAMA

- Status changed from Closed to New
- Resolution deleted (Cant reproduce)

#8 - 2015-04-24 06:53 - Toshi MARUYAMA

- Status changed from New to Needs feedback

alex dl wrote:

It can reproduced if we give add/edit issues permission to non member in a public project

 I cannot reproduce.

#9 - 2015-04-25 09:41 - Toshi MARUYAMA

- Related to Defect #19163: Bulk edit form shows additional custom fields added

#10 - 2015-04-25 09:44 - Toshi MARUYAMA

- Related to deleted (Defect #19163: Bulk edit form shows additional custom fields)

#11 - 2015-04-25 09:44 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Duplicate

I think this is duplicate of #19163.

#12 - 2015-04-25 09:56 - Toshi MARUYAMA

- Status changed from Closed to New

- Resolution deleted (Duplicate)

#13 - 2015-04-25 09:56 - Toshi MARUYAMA

- Status changed from New to Needs feedback

#14 - 2015-04-25 11:49 - Toshi MARUYAMA

Toshi MARUYAMA wrote:

I think this is duplicate of #19163.

 Sorry, #19163 fixed bulk edit form opened from context menu.

I still cannot reproduce this issue.

#15 - 2015-05-14 13:30 - Tomasz O

I have the same problem on:

Redmine version                3.0.2.stable

 Ruby version                   1.9.3-p484 (2013-11-22) [x86_64-linux]

 Rails version                  4.2.1

 Environment                    production

 Database adapter               Mysql2

 (all plug-ins disabled)

 My permissions are defined as below:

 15200238.jpg?1431602605 

Please note that:

1. Target version should be 'read-only' since 'submitted', and the custom field 'resolution' should be read-only since stpassed

2. Custom field 'reason for nochange' should be 'required' and visible for 'nochange' status

I am trying to set status to 'nochange'

 15200239.jpg?1431602605 

and I can see the following

 15200240.jpg?1431602605 

1. Fields 'Target version' and 'resolution' are still available for edit

2. The custom field 'reason for nochange' is not displayed - although there is prompt that it can not be empty.

3. When I am selecting another value from the 'Status' list all fields remain unchanged, whereas some should become required or read-only.
I hope this helps with reproducing and solving this issue.

Tomek

#16 - 2015-06-13 06:59 - Toshi MARUYAMA

- Status changed from Needs feedback to New

Files

member.png 11.4 KB 2015-04-23 Toshi MARUYAMA

admin.png 29.2 KB 2015-04-23 Toshi MARUYAMA

bool.png 42.2 KB 2015-04-23 Toshi MARUYAMA

CustomField Rating.png 17.6 KB 2015-04-23 Anonymous

non_member_view.png 69.3 KB 2015-04-23 Anonymous
